| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations
oyOption_s.h File Reference
`#include <oyranos_object.h>`
`#include "oyStruct_s.h"`

## Data Structures
union | oyValue_u
| a value More...
struct | oyOption_s
| Option object. More...

## Enumerations
enum | oyOPTIONSOURCE_e { oyOPTIONSOURCE_NONE = 0, oyOPTIONSOURCE_FILTER = 2, oyOPTIONSOURCE_DATA = 4, oyOPTIONSOURCE_USER = 8 }
| a option source type More...
enum | oyVALUETYPE_e { , oyVAL_DOUBLE , oyVAL_STRUCT }
| a value type More...

## Detailed Description

[Template file inheritance graph] +-> oyOption_s.template.h | +-> Base_s.h | +– oyStruct_s.template.h

Oyranos is an open source Colour Management System

Copyright:
  2004-2012 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/bsd-license.php

Date
  2012/10/05

## Enumeration Type Documentation

enum oyOPTIONSOURCE_e

a option source type

Version
  Oyranos: 0.1.9

Since
  2008/11/13 (Oyranos: 0.1.9)

Date
  2008/11/27

Enumerator
oyOPTIONSOURCE_NONE | not clear
oyOPTIONSOURCE_FILTER | internal defaults, e.g. module
oyOPTIONSOURCE_DATA | external defaults, e.g. policy, DB
oyOPTIONSOURCE_USER | user settings, e.g. elektra

enum oyVALUETYPE_e

a value type

See also
  oyValue_u

Version
  Oyranos: 0.1.8

Since
  2008/02/16 (Oyranos: 0.1.x)

Date
  2008/02/16

Enumerator
oyVAL_DOUBLE | IEEE double precission floating point number
oyVAL_STRUCT | for pure data blobs use oyBlob_s herein